> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Suspend an ACS User

> [Suspends](https://docs.seam.co/low-level-apis/access-systems/user-management/suspending-and-unsuspending-users#suspend-an-acs-user) a specified [access system user](https://docs.seam.co/low-level-apis/access-systems/user-management). Suspending an access system user revokes their access temporarily. To restore an access system user's access, you can [unsuspend](https://docs.seam.co/api/acs/users/unsuspend) them.



## OpenAPI

````yaml /openapi.json post /acs/users/suspend
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /acs/users/suspend:
    post:
      tags:
        - /acs
      summary: Suspend an ACS User
      description: >-
        [Suspends](https://docs.seam.co/low-level-apis/access-systems/user-management/suspending-and-unsuspending-users#suspend-an-acs-user)
        a specified [access system
        user](https://docs.seam.co/low-level-apis/access-systems/user-management).
        Suspending an access system user revokes their access temporarily. To
        restore an access system user's access, you can
        [unsuspend](https://docs.seam.co/api/acs/users/unsuspend) them.
      operationId: acsUsersSuspendPost
      requestBody:
        content:
          application/json:
            schema:
              properties:
                acs_system_id:
                  description: >-
                    ID of the access system that you want to suspend. You can
                    only provide acs_user_id or the combination of acs_system_id
                    and user_identity_id.
                  format: uuid
                  type: string
                acs_user_id:
                  description: >-
                    ID of the access system user that you want to suspend. You
                    can only provide acs_user_id or the combination of
                    acs_system_id and user_identity_id.
                  format: uuid
                  type: string
                user_identity_id:
                  description: >-
                    ID of the user identity that you want to suspend. You can
                    only provide acs_user_id or the combination of acs_system_id
                    and user_identity_id.
                  format: uuid
                  type: string
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  ok:
                    type: boolean
                required:
                  - ok
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - pat_with_workspace: []
        - console_session_with_workspace: []
        - api_key: []
      x-codeSamples:
        - lang: javascript
          label: Seam SDK
          source: |-
            await seam.acs.users.suspend({
              user_identity_id: "73fac667-bd93-4548-add2-e75161d69c7c",
              acs_system_id: "f2240088-0bc7-4edb-80d1-485bd956ba7d",
            });

            /*
            // void
            */
        - lang: bash
          label: cURL
          source: >-
            curl --include --request POST
            "https://connect.getseam.com/acs/users/suspend" \
              --header "Authorization: Bearer $SEAM_API_KEY" \
              --json @- <<EOF
            {
              "user_identity_id": "73fac667-bd93-4548-add2-e75161d69c7c",
              "acs_system_id": "f2240088-0bc7-4edb-80d1-485bd956ba7d"
            }

            EOF


            # Response:

            # {}
        - lang: python
          label: Seam SDK
          source: |-
            seam.acs.users.suspend(
                user_identity_id="73fac667-bd93-4548-add2-e75161d69c7c",
                acs_system_id="f2240088-0bc7-4edb-80d1-485bd956ba7d",
            )

            # None
        - lang: ruby
          label: Seam SDK
          source: |-
            seam.acs.users.suspend(
              user_identity_id: "73fac667-bd93-4548-add2-e75161d69c7c",
              acs_system_id: "f2240088-0bc7-4edb-80d1-485bd956ba7d",
            )

            # => nil
        - lang: php
          label: Seam SDK
          source: |-
            $seam->acs->users->suspend(
                user_identity_id: "73fac667-bd93-4548-add2-e75161d69c7c",
                acs_system_id: "f2240088-0bc7-4edb-80d1-485bd956ba7d",
            );
        - lang: bash
          label: Seam CLI
          source: >-
            seam acs users suspend --user_identity_id
            "73fac667-bd93-4548-add2-e75161d69c7c" --acs_system_id
            "f2240088-0bc7-4edb-80d1-485bd956ba7d"


            # {}
components:
  securitySchemes:
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http

````